Get Wallet Restrictions
curl --request GET \
--url https://waas-staging.embedly.ng/WaasCore/api/v1/wallet-limits/get/:walletId \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"walletId": "<string>"
}
'{
"code": "00",
"success": true,
"message": "Retrieved successfully",
"data": [
{
"id": "08ded1ec-991b-4e07-84e7-c9de861278d0",
"walletId": "c86559f6-8e3e-11f0-a7cf-0274f77d4a81",
"organizationId": "fcce8dba-47c9-11f0-a818-6045bd97b81d",
"restrictionType": "MANUAL",
"restrictionAmount": 0,
"reasonCode": "MANUAL",
"reason": "string",
"isActive": true,
"createdBy": "00000000-0000-0000-0000-000000000001",
"approvedBy": null,
"effectiveFrom": "2026-06-24T12:22:01",
"expiresAt": "2026-06-24T12:22:01",
"dateCreated": "2026-06-24T12:32:04",
"dateModified": null
}
]
}
Wallet Restriction
Get Wallet Restrictions
Retrieve all active and historical restrictions for a wallet.
GET
/
WaasCore
/
api
/
v1
/
wallet-limits
/
get
/
:walletId
Get Wallet Restrictions
curl --request GET \
--url https://waas-staging.embedly.ng/WaasCore/api/v1/wallet-limits/get/:walletId \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"walletId": "<string>"
}
'{
"code": "00",
"success": true,
"message": "Retrieved successfully",
"data": [
{
"id": "08ded1ec-991b-4e07-84e7-c9de861278d0",
"walletId": "c86559f6-8e3e-11f0-a7cf-0274f77d4a81",
"organizationId": "fcce8dba-47c9-11f0-a818-6045bd97b81d",
"restrictionType": "MANUAL",
"restrictionAmount": 0,
"reasonCode": "MANUAL",
"reason": "string",
"isActive": true,
"createdBy": "00000000-0000-0000-0000-000000000001",
"approvedBy": null,
"effectiveFrom": "2026-06-24T12:22:01",
"expiresAt": "2026-06-24T12:22:01",
"dateCreated": "2026-06-24T12:32:04",
"dateModified": null
}
]
}
Path parameter: UUID of the wallet
{
"code": "00",
"success": true,
"message": "Retrieved successfully",
"data": [
{
"id": "08ded1ec-991b-4e07-84e7-c9de861278d0",
"walletId": "c86559f6-8e3e-11f0-a7cf-0274f77d4a81",
"organizationId": "fcce8dba-47c9-11f0-a818-6045bd97b81d",
"restrictionType": "MANUAL",
"restrictionAmount": 0,
"reasonCode": "MANUAL",
"reason": "string",
"isActive": true,
"createdBy": "00000000-0000-0000-0000-000000000001",
"approvedBy": null,
"effectiveFrom": "2026-06-24T12:22:01",
"expiresAt": "2026-06-24T12:22:01",
"dateCreated": "2026-06-24T12:32:04",
"dateModified": null
}
]
}
⌘I